using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("zx_weight")]
    public class ZxWeightEntity
    {


        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:配方编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_code")]
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料类型
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_type")]
        public string MaterialType { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:厚度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_thickness")]
        public decimal? SetThickness { get; set; }

        /// <summary>
        /// 备  注:宽度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_width")]
        public decimal? SetWidth { get; set; }

        /// <summary>
        /// 备  注:宽度2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_width_2")]
        public decimal? SetWidth2 { get; set; }

        /// <summary>
        /// 备  注:层数
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_layer")]
        public int? SetLayer { get; set; }

        /// <summary>
        /// 备  注:层数2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_layer_2")]
        public int? SetLayer2 { get; set; }

        /// <summary>
        /// 备  注:重量
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_weight")]
        public decimal? SetWeight { get; set; }

        /// <summary>
        /// 备  注:公差
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "set_error")]
        public decimal? SetError { get; set; }

        /// <summary>
        /// 备  注:是否使用
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_use")]
        public bool? IsUse { get; set; }

        /// <summary>
        /// 备  注:是否删除
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "is_deleted")]
        public bool? IsDeleted { get; set; }


    }

}